Stencyl 3.4.0 is now out. Get it now!

Enhance - 3rd party extensions NOW! - Goodbye SDK integration!!!

RozekEnhance

  • Posts: 11
Awesome research and explanations Ceosol. Just to double check, you are not using Heyzap itself for mediation? your set up is just manual via enhance? And you don't see any adverts when testing hey zap on its own?

Correct, in my second try, I used heyzap through FGL Enhance (it is one of the 20 something networks you can select) and did not get the calendar plist error. But I also did not see any ads appearing in testing or even release on the app store. Admob at least had a "Congrats, you are using Enhance" message while testing.

It would be awesome if you could email us your feedback and suggestions.
info@enahnce.co

Thank you.

ceosol

  • *
  • Posts: 2149
Quick update, inmobi final got around to approving the ads. I saw a video reward ad with inmobi label. I also saw some popup without a name that could have been inmobi. So that ad network is working with FGL Enhance.

It would be awesome if you could email us your feedback and suggestions.
info@enahnce.co

Did you mean with my "instruction" list or something else?

RozekEnhance

  • Posts: 11
How does it work?  Check out the video for some insight....


RozekEnhance

  • Posts: 11
We are getting ready to support even more networks. Keep your eyes peeled!

Raiyumi

  • *
  • Posts: 193
Sounds good. Hoping for heyzap mediation!

RozekEnhance

  • Posts: 11
Heyzap Mediation is on its way!

Konig Studios

  • *
  • Posts: 75
I tried the push notifications and don't understand how it works. Nothing was there to configure for the push SDK.

RozekEnhance

  • Posts: 11
Push Notifications are available with ZeroCode.
There is no configuration. 

If you have any further questions about Push Notification support, please email us : info@enhance.co



ceosol

  • *
  • Posts: 2149
With these specs:
High Sierra 10.13.1
Xcode 9.1
and Stencyl 9301, 9520, and 9689

I was getting various errors saying that lime didn't have a command called "load". The newest extension version used openfl.Lib in place of lime.Lib. That still gave errors.

I opened Enhance.hx in a text editor and made the following changes:

At the beginning, change the import to:
import lime.system.CFFI;

Replace every "Lib.load" to "CFFI.load" (there are a bunch of lib.load's at the very end)

I just ran it to my ipad and got the "Well done!" message. So I guess that fixed it :)


ceosol

  • *
  • Posts: 2149
And for android, change "openfl.utils.JNI" to "lime.system.JNI"

RozekEnhance

  • Posts: 11
Thank you for this. I have notified our engineering team and they will be looking into this.


« Last Edit: December 11, 2017, 11:41:06 am by RozekEnhance »